# pybedtools.helpers.get_chromsizes_from_ucsc

pybedtools.helpers.get_chromsizes_from_ucsc(genome, saveas=None, mysql='mysql', fetchchromsizes='fetchChromSizes', timeout=None, host_url='genome-mysql.cse.ucsc.edu')

  Download chrom size info for genome from UCSC and returns the dictionary.

  Parameters
    genome str

      Name of the genome assembly (e.g., “hg38”)

    saveas str

      Filename to save output to. Dictionary will still be returned.

    mysql, fetchchromsizes str

      Paths to MySQL and fetchChromSizes.

    timeout float

      How long to wait for a response; mostly used for testing.

    host_url str

      URL of UCSC mirror MySQL server.